summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-01-08 21:20:40 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-01-09 10:51:41 +0100
commitc54fce8c6a4fc87a08b9caea2597afb4ba003ebb (patch)
tree83f512880931cbe361fea6eafdd3888d255ce195
parentapp-office/libreoffice: Drop 6.1 stable branch (diff)
downloadgentoo-c54fce8c6a4fc87a08b9caea2597afb4ba003ebb.tar.gz
gentoo-c54fce8c6a4fc87a08b9caea2597afb4ba003ebb.tar.bz2
gentoo-c54fce8c6a4fc87a08b9caea2597afb4ba003ebb.zip
app-office/libreoffice: Drop 6.0.6.2
Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--app-office/libreoffice/Manifest3
-rw-r--r--app-office/libreoffice/files/libreoffice-5.2.5.1-glibc-2.24.patch10
-rw-r--r--app-office/libreoffice/files/libreoffice-6.0.3.2-disable-flaky-tests-1.patch216
-rw-r--r--app-office/libreoffice/files/libreoffice-6.0.3.2-testTdf108947.patch13
-rw-r--r--app-office/libreoffice/libreoffice-6.0.6.2.ebuild568
5 files changed, 0 insertions, 810 deletions
diff --git a/app-office/libreoffice/Manifest b/app-office/libreoffice/Manifest
index 866b8121e48..1186c6f0e49 100644
--- a/app-office/libreoffice/Manifest
+++ b/app-office/libreoffice/Manifest
@@ -3,9 +3,6 @@ DIST 185d60944ea767075d27247c3162b3bc-unowinreg.dll 12288 BLAKE2B c067f60d0ee325
DIST 35c94d2df8893241173de1d16b6034c0-swingExSrc.zip 9796 BLAKE2B a30b0225313b23092bc57ccd989f26ea04a323dcb17a0ea8baaa6a21b5d5e2b6e29fcae9d18ecd043073030e104ad56c86a115760590f57eda86c22c9fe478b0 SHA512 4a48f1e32907fb2dee601cda3cd7a0d7198b2d51f2a572b647f1e93f901fd511eef3567676e52dfb1723a2cdfbc01f2015ca0bb22903b0bc1476dd618cc9aa8a
DIST 798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip 1521926 BLAKE2B d2769842c180997055648a8b1a33cc89988b74628bad8aa012242e0c1afa5b5b8568323c107187072207ee69bd841ba4ca3bbfe27ef65223ddc729d1a1aa6590 SHA512 ec5ae23c8fe2f5efc377f7a9665039afadf28b4d8f2791379296766a5fbc9a3bf7548f9b0e3b3b07762229ec733a92ccbb69791ee0318c9c6f78f8e847253d3f
DIST a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip 23150 BLAKE2B 51db6bd90585b13857ecb494c805c9fb6874e1e65d7aee73d23e1716670836a14b376bcca810f96fd55b0ed653b2660a268030f246c822cbb04f867ef763a3b3 SHA512 2d3835f7ac356805025cafedcad97faa48d0f5da386e6ac7b7451030059df8e2fdb0861ade07a576ebf9fb5b88a973585ab0437944b06aac9289d6898ba8586a
-DIST libreoffice-6.0.5.2-patchset-01.tar.xz 39820 BLAKE2B d8b436378b05a8a58156817b5d1e0323fd6fcfde9aa9fc4fc6a8056a06a16c84c5860ffe1ae715faddb707c5aa417b43e6c7f5c05821f86208edbb3778d830a1 SHA512 ec99a6358c0a20075abc0aa136ad6ccded4562fa0f25897efe2a8783fb33b97b92a2dd8041206b3344a79dfd10ebe98b79c8bf0b4e8539e45942978f0028dc59
-DIST libreoffice-6.0.6.2.tar.xz 205022916 BLAKE2B 715d24c7bbfe4d570011f5090cf647421f68e73fb76047ec0fb973ec0bfb30be3ec1d521bdd92369e23abaa444e7afd3e070ff613486e8f85b9ca76d9496fd0e SHA512 8cf7bd4d8f81ee09f8a21c4ccb12f788c67cf1cba71e08b9b720f9e8b4ec2dfcc25452ef05b6b60529463241c2b23a70eb6a79a8f15b95e890a2ea9cbb458517
DIST libreoffice-6.1.4.2.tar.xz 207710664 BLAKE2B 52bab412094c1ff7e184ea65c588360c18b061c3e14b7be07171f6b5831261766e2ac7d7373f5f789d125671da41e8b67d34360d4b7014dcb98df01828aeb094 SHA512 ba81b7744b908f9fe67a83e72c17c08b3b2e99599a5fd4f9cc1f2d81b3fd0ddb8065ae466205f85185ab9420350cea0b2d60108df3e583b74bd1fcd9e4eb0c3c
DIST libreoffice-branding-gentoo-0.8.tar.xz 151568 BLAKE2B f03c7ddeb53c5ca3fd23401679601fcf2c4037ba17be4eb7b784c7ce7ebb71a24b8ab4aac8b7da8c6b1f14dd23bc1294ba85ff4f70ad271fb4ee3c5372e10883 SHA512 785031a699b1d1895ce4b50ffc3ddf645f3a0ef9acdf37facfd18cf75db9484cb8f53a50abb63d6006ead76a80b6ff5aa99661063245ebb84bd64013d713de7f
-DIST libreoffice-help-6.0.6.2.tar.xz 2972748 BLAKE2B 38534d5fd08751af587fd5b5be03b39b086e2bc26878c50e98bafd7a2b48f517ac29b8d434748449b0a3e8a451c31f40255094d64965800aadfd94c111295be5 SHA512 89caab57774f85f3e58523c0debb57247a0f10959634bf296aaacc4928bcce6ea8ed9f167b267e2e0eeb52b69714eeb094fedfa3e810cf409dfbc7c5e49b7c13
DIST libreoffice-help-6.1.4.2.tar.xz 15757700 BLAKE2B 53c398efb3b839740a9146ea1b0f70f019936c914f7aedf38b7da69faf532ab139a8847d6eb251b2850511e0e7bd169c74fafedd0926dc987659aa27878cf740 SHA512 e24f2f6795856da62f77ebfdcfedc8190b8ecef74e395fc263f0cab4a27c0fe3d95f37665747a590fc7a6a93c6c3473a2a4501c50d415cc602f85838955fe9ab
diff --git a/app-office/libreoffice/files/libreoffice-5.2.5.1-glibc-2.24.patch b/app-office/libreoffice/files/libreoffice-5.2.5.1-glibc-2.24.patch
deleted file mode 100644
index d714ff2074b..00000000000
--- a/app-office/libreoffice/files/libreoffice-5.2.5.1-glibc-2.24.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- libreoffice-5.2.5.1.orig/desktop/unx/source/pagein.c 2017-01-11 16:54:33.000000000 -0800
-+++ libreoffice-5.2.5.1/desktop/unx/source/pagein.c 2017-02-03 10:22:51.697673613 -0800
-@@ -26,6 +26,7 @@
- #include <string.h>
- #include <sys/stat.h>
- #include <sys/types.h>
-+#include <sys/sysmacros.h>
-
- /* do_pagein */
- static void do_pagein (const char * filename)
diff --git a/app-office/libreoffice/files/libreoffice-6.0.3.2-disable-flaky-tests-1.patch b/app-office/libreoffice/files/libreoffice-6.0.3.2-disable-flaky-tests-1.patch
deleted file mode 100644
index 03421c5e12b..00000000000
--- a/app-office/libreoffice/files/libreoffice-6.0.3.2-disable-flaky-tests-1.patch
+++ /dev/null
@@ -1,216 +0,0 @@
-Kindly borrowed from Debian.
-
-14:13 < mst__> _rene_, the toolkit unoapi tests are known to be flaky (in some
- system dependent way) e.g. on the Win@6 tinderbox it always
- crashes
-14:14 < mst__> _rene_, sc.ScAccessible* tests also fail on some systems some of
- the time
-
-diff --git a/toolkit/Module_toolkit.mk b/toolkit/Module_toolkit.mk
-index 25db0b6..14e507c 100644
---- a/toolkit/Module_toolkit.mk
-+++ b/toolkit/Module_toolkit.mk
-@@ -26,11 +26,11 @@ $(eval $(call gb_Module_add_targets,toolkit,\
- ifneq ($(OOO_JUNIT_JAR),)
- $(eval $(call gb_Module_add_subsequentcheck_targets,toolkit,\
- JunitTest_toolkit_complex \
-- JunitTest_toolkit_unoapi_1 \
-- JunitTest_toolkit_unoapi_2 \
-- JunitTest_toolkit_unoapi_3 \
-- JunitTest_toolkit_unoapi_4 \
- ))
- endif
-+# JunitTest_toolkit_unoapi_1 \
-+# JunitTest_toolkit_unoapi_2 \
-+# JunitTest_toolkit_unoapi_3 \
-+# JunitTest_toolkit_unoapi_4 \
-
- # vim: set noet sw=4 ts=4:
-diff --git a/sc/qa/unoapi/sc_1.sce b/sc/qa/unoapi/sc_1.sce
-index fa1684c..cc8e1a5 100644
---- a/sc/qa/unoapi/sc_1.sce
-+++ b/sc/qa/unoapi/sc_1.sce
-@@ -24,10 +24,3 @@
- # i84554 -o sc.AccessibleEditableTextPara_PreviewNote
- # i88241 -o sc.AccessibleEditableTextPara_HeaderFooter
- -o sc.AccessibleEditableTextPara_PreviewCell
---o sc.ScAccessibleCell
--# i91044 -o sc.ScAccessibleCsvCell
--# i91044 -o sc.ScAccessibleCsvGrid
--# i84641 -o sc.ScAccessibleCsvRuler
--# i88330 -o sc.ScAccessibleDocument
--# i91045 -o sc.ScAccessibleDocumentPagePreview
---o sc.ScAccessiblePageHeader
-diff --git a/sc/qa/unoapi/sc_2.sce b/sc/qa/unoapi/sc_2.sce
-index dbfc3e1..d235c5d 100644
---- a/sc/qa/unoapi/sc_2.sce
-+++ b/sc/qa/unoapi/sc_2.sce
-@@ -15,11 +15,6 @@
- # except in compliance with the License. You may obtain a copy of
- # the License at http://www.apache.org/licenses/LICENSE-2.0 .
- #
--# fdo#FOO -o sc.ScAccessiblePageHeaderArea
---o sc.ScAccessiblePreviewCell
---o sc.ScAccessiblePreviewHeaderCell
---o sc.ScAccessiblePreviewTable
--# fdo#45337 -o sc.ScAccessibleSpreadsheet
- # FIXME_REMOVE_WHEN_RE_BASE_COMPLETE
- # -o sc.ScAnnotationObj
- # -o sc.ScAnnotationShapeObj
-
-12:18 < _rene_> chris_wot: ping?
-12:18 < chris_wot> heya
-12:18 < chris_wot> you pinged?
-12:19 < _rene_> chris_wot: any news on
- https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=815292?
-12:20 < _rene_> (of course the this-night-uploaded rc3 also failed)
-12:21 < chris_wot> ah, sorry - I've looked at an EMF regression, but I've not
- gotten any further on that one
-12:22 < chris_wot> I honestly think that for this one just disable the test for
- now
-12:22 < chris_wot> I'll ping the ML
-
-This seems fixed when opening the original doc.
-
-diff --git a/sw/qa/extras/ooxmlexport/ooxmlexport7.cxx b/sw/qa/extras/ooxmlexport/ooxmlexport7.cxx
-index 54eed4d..78019bd 100644
---- a/sw/qa/extras/ooxmlexport/ooxmlexport7.cxx
-+++ b/sw/qa/extras/ooxmlexport/ooxmlexport7.cxx
-@@ -1128,30 +1128,30 @@ DECLARE_OOXMLEXPORT_TEST(testTDF93675, "no-numlevel-but-indented.odt")
-
-
-
--DECLARE_OOXMLEXPORT_TEST(testFlipAndRotateCustomShape, "flip_and_rotate.odt")
--{
-- xmlDocPtr pXmlDoc = parseExport("word/document.xml");
-- if (!pXmlDoc)
-- return;
-- // there should be no flipH and flipV attributes in this case
-- assertXPathNoAttribute(pXmlDoc, "//a:xfrm", "flipH");
-- assertXPathNoAttribute(pXmlDoc, "//a:xfrm", "flipV");
-- // check rotation angle
-- assertXPath(pXmlDoc, "//a:xfrm", "rot", "13500000");
-- // check the first few coordinates of the polygon
--#ifndef MACOSX /* Retina-related rounding roundtrip error
-- * hard to smooth out due to the use of string compare
-- * instead of number */
--#if !defined(_WIN32)
-- assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[1]/a:pt", "x", "2351");
-- assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[1]/a:pt", "y", "3171");
-- assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[2]/a:pt", "x", "1695");
-- assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[2]/a:pt", "y", "3171");
-- assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[3]/a:pt", "x", "1695");
-- assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[3]/a:pt", "y", "1701");
--#endif
--#endif
--}
-+//DECLARE_OOXMLEXPORT_TEST(testFlipAndRotateCustomShape, "flip_and_rotate.odt")
-+//{
-+// xmlDocPtr pXmlDoc = parseExport("word/document.xml");
-+// if (!pXmlDoc)
-+// return;
-+// // there should be no flipH and flipV attributes in this case
-+// assertXPathNoAttribute(pXmlDoc, "//a:xfrm", "flipH");
-+// assertXPathNoAttribute(pXmlDoc, "//a:xfrm", "flipV");
-+// // check rotation angle
-+// assertXPath(pXmlDoc, "//a:xfrm", "rot", "13500000");
-+// // check the first few coordinates of the polygon
-+//#ifndef MACOSX /* Retina-related rounding roundtrip error
-+// * hard to smooth out due to the use of string compare
-+// * instead of number */
-+//#if !defined(_WIN32)
-+// assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[1]/a:pt", "x", "2351");
-+// assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[1]/a:pt", "y", "3171");
-+// assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[2]/a:pt", "x", "1695");
-+// assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[2]/a:pt", "y", "3171");
-+// assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[3]/a:pt", "x", "1695");
-+// assertXPath(pXmlDoc, "//a:custGeom/a:pathLst/a:path/a:lnTo[3]/a:pt", "y", "1701");
-+//#endif
-+//#endif
-+//}
-
-
- CPPUNIT_PLUGIN_IMPLEMENT();
-diff --git a/svx/qa/unoapi/svx.sce b/svx/qa/unoapi/svx.sce
-index 1c3925f..a16f001 100644
---- a/svx/qa/unoapi/svx.sce
-+++ b/svx/qa/unoapi/svx.sce
-@@ -25,7 +25,7 @@
- #i111216 -o svx.AccessiblePresentationGraphicShape
- #i111216 -o svx.AccessiblePresentationOLEShape
- #i85539 -o svx.AccessiblePresentationShape
---o svx.AccessibleShape
-+#-o svx.AccessibleShape
- #i90294 -o svx.GraphicExporter
- -o svx.SvxDrawPage
- #i85501 -o svx.SvxGraphCtrlAccessibleContext
-
-19:26 <@x1sc0> _rene_, since that test is using exact dimensions, it seems it
- fails on your side probably because the paragraph style is
- different. 1. I will change the test to avoid the exact
- dimensions. 2. meantime you can skip that test:
-https://cgit.freedesktop.org/libreoffice/core/commit/?id=e05f16e6bf36efbaab16dd2ed1427a750ce7cafd
-19:26 < IZBot> core - disable UI test that does exact comparison
-19:27 < _rene_> mmh, ok, saw that but that was for a different test, so.. :)
-19:27 -!- jacobo [~jaragunde@fanzine.igalia.com] has quit [Quit: Leaving.]
-19:27 < _rene_> thanks, will do
-
-diff --git a/uitest/writer_tests/tdf79236.py b/uitest/writer_tests/tdf79236.py
-index 8585e48d8c64..704f42c009a1 100644
---- a/uitest/writer_tests/tdf79236.py
-+++ b/uitest/writer_tests/tdf79236.py
-@@ -8,8 +8,11 @@ from uitest.framework import UITestCase
- import time
- from uitest.uihelper.common import get_state_as_dict, type_text
-
-+import unittest
-+
- class tdf79236(UITestCase):
-
-+ @unittest.skip("Currently broken")
- def test_paragraph(self):
-
- self.ui_test.create_doc_in_start_center("writer")
-
-14:39 < ztamas> _rene_: chart2dump is used to fail because of font size differences, just use a bigger delta or disable it if it
- fails for you.
-14:40 <@sberg_> noelgrandin, no
-14:40 < noelgrandin> sberg_, sure seems that way both in the debugger and in the resulting SAL_WARN output
-14:42 < ztamas> _rene_: there were some work on making font rendering consistent on different platforms, but it's not finished
- yet, I guess
-diff --git a/chart2/Module_chart2.mk b/chart2/Module_chart2.mk
-index 3273055d5373..cb452139170c 100644
---- a/chart2/Module_chart2.mk
-+++ b/chart2/Module_chart2.mk
-@@ -33,9 +33,9 @@ $(eval $(call gb_Module_add_slowcheck_targets,chart2,\
- CppunitTest_chart2_export \
- CppunitTest_chart2_import \
- CppunitTest_chart2_trendcalculators \
-- CppunitTest_chart2_dump \
- CppunitTest_chart2_pivot_chart_test \
- ))
-+# CppunitTest_chart2_dump \
-
- ifeq ($(ENABLE_CHART_TESTS),TRUE)
- ifeq ($(WITH_FONTS), TRUE)
-diff --git a/sw/qa/extras/ooxmlimport/ooxmlimport.cxx b/sw/qa/extras/ooxmlimport/ooxmlimport.cxx
-index 4d65beeb90c4..f3d71501c41a 100644
---- a/sw/qa/extras/ooxmlimport/ooxmlimport.cxx
-+++ b/sw/qa/extras/ooxmlimport/ooxmlimport.cxx
-@@ -1559,14 +1559,14 @@ DECLARE_OOXMLIMPORT_TEST(testTdf43017, "tdf43017.docx")
- }
-
-
--DECLARE_OOXMLIMPORT_TEST(testTdf112443, "tdf112443.docx")
-+/*DECLARE_OOXMLIMPORT_TEST(testTdf112443, "tdf112443.docx")
- {
- // the position of the flying text frame should be off page
- // 30624 below its anchor
- OUString aTop = parseDump("//fly[1]/infos/bounds", "top");
- CPPUNIT_ASSERT_EQUAL( OUString("30624"), aTop );
-
--}
-+}*/
-
- DECLARE_OOXMLIMPORT_TEST(testTdf113946, "tdf113946.docx")
- {
diff --git a/app-office/libreoffice/files/libreoffice-6.0.3.2-testTdf108947.patch b/app-office/libreoffice/files/libreoffice-6.0.3.2-testTdf108947.patch
deleted file mode 100644
index bd84b316252..00000000000
--- a/app-office/libreoffice/files/libreoffice-6.0.3.2-testTdf108947.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-diff --git a/sw/qa/extras/rtfimport/rtfimport.cxx b/sw/qa/extras/rtfimport/rtfimport.cxx
-index 457aedce0acb..4f02cf2b4040 100644
---- a/sw/qa/extras/rtfimport/rtfimport.cxx
-+++ b/sw/qa/extras/rtfimport/rtfimport.cxx
-@@ -1352,7 +1352,7 @@ DECLARE_RTFIMPORT_TEST(testImportHeaderFooter, "tdf108055.rtf")
- DECLARE_RTFIMPORT_TEST(testTdf108947, "tdf108947.rtf")
- {
- //Check page count
-- CPPUNIT_ASSERT_EQUAL(2, getPages());
-+ CPPUNIT_ASSERT_EQUAL(1, getPages());
-
- //Check if Headers/Footers contain what they should in this document
- uno::Reference<text::XText> xHeaderTextRight = getProperty<uno::Reference<text::XText>>(
diff --git a/app-office/libreoffice/libreoffice-6.0.6.2.ebuild b/app-office/libreoffice/libreoffice-6.0.6.2.ebuild
deleted file mode 100644
index a05ea79b58b..00000000000
--- a/app-office/libreoffice/libreoffice-6.0.6.2.ebuild
+++ /dev/null
@@ -1,568 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
-PYTHON_REQ_USE="threads,xml"
-
-MY_PV="${PV/_alpha/.alpha}"
-MY_PV="${MY_PV/_beta/.beta}"
-# experimental ; release ; old
-# Usually the tarballs are moved a lot so this should make everyone happy.
-DEV_URI="
- https://dev-builds.libreoffice.org/pre-releases/src
- https://download.documentfoundation.org/libreoffice/src/${MY_PV:0:5}/
- https://downloadarchive.documentfoundation.org/libreoffice/old/${MY_PV}/src
-"
-ADDONS_URI="https://dev-www.libreoffice.org/src/"
-
-BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
-PATCHSET="${PN}-6.0.5.2-patchset-01.tar.xz"
-
-[[ ${MY_PV} == *9999* ]] && SCM_ECLASS="git-r3"
-inherit autotools bash-completion-r1 check-reqs eapi7-ver flag-o-matic gnome2-utils java-pkg-opt-2 multiprocessing pax-utils python-single-r1 qmake-utils toolchain-funcs xdg-utils ${SCM_ECLASS}
-unset SCM_ECLASS
-
-DESCRIPTION="A full office productivity suite"
-HOMEPAGE="https://www.libreoffice.org"
-SRC_URI="branding? ( https://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
-[[ -n ${PATCHSET} ]] && SRC_URI+=" https://dev.gentoo.org/~asturm/distfiles/${PATCHSET}"
-
-# Split modules following git/tarballs; Core MUST be first!
-# Help is used for the image generator
-# Only release has the tarballs
-if [[ ${MY_PV} != *9999* ]]; then
- for i in ${DEV_URI}; do
- SRC_URI+=" ${i}/${PN}-${MY_PV}.tar.xz"
- SRC_URI+=" ${i}/${PN}-help-${MY_PV}.tar.xz"
- done
- unset i
-fi
-unset DEV_URI
-
-# Really required addons
-# These are bundles that can't be removed for now due to huge patchsets.
-# If you want them gone, patches are welcome.
-ADDONS_SRC=(
- "java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
- # no release for 8 years, should we package it?
- "libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )"
- # Does not build with 1.6 rhino at all
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )"
- # requirement of rhino
- "libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )"
- # not packageable
- "odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )"
-)
-SRC_URI+=" ${ADDONS_SRC[*]}"
-
-unset ADDONS_URI
-unset ADDONS_SRC
-
-# Extensions that need extra work:
-LO_EXTS="nlpsolver scripting-beanshell scripting-javascript wiki-publisher"
-
-IUSE="bluetooth +branding coinmp +cups dbus debug eds firebird googledrive
-gstreamer +gtk gtk2 jemalloc kde mysql odk pdfimport postgres test vlc
-$(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
-
-REQUIRED_USE="${PYTHON_REQUIRED_USE}
- bluetooth? ( dbus )
- kde? ( gtk )
- libreoffice_extensions_nlpsolver? ( java )
- libreoffice_extensions_scripting-beanshell? ( java )
- libreoffice_extensions_scripting-javascript? ( java )
- libreoffice_extensions_wiki-publisher? ( java )
-"
-
-LICENSE="|| ( LGPL-3 MPL-1.1 )"
-SLOT="0"
-[[ ${MY_PV} == *9999* ]] || \
-KEYWORDS="amd64 ~arm ~arm64 x86 ~amd64-linux ~x86-linux"
-
-COMMON_DEPEND="${PYTHON_DEPS}
- app-arch/unzip
- app-arch/zip
- app-crypt/gpgme[cxx]
- app-text/hunspell:=
- >=app-text/libabw-0.1.0
- >=app-text/libebook-0.1
- app-text/libepubgen
- >=app-text/libetonyek-0.1
- app-text/libexttextcat
- app-text/liblangtag
- >=app-text/libmspub-0.1.0
- >=app-text/libmwaw-0.3.1
- >=app-text/libodfgen-0.1.0
- app-text/libqxp
- app-text/libstaroffice
- app-text/libwpd:0.10[tools]
- app-text/libwpg:0.3
- >=app-text/libwps-0.4
- app-text/mythes
- >=dev-cpp/clucene-2.3.3.4-r2
- =dev-cpp/libcmis-0.5*
- dev-db/unixODBC
- dev-lang/perl
- dev-libs/boost:=[nls]
- dev-libs/expat
- dev-libs/hyphen
- dev-libs/icu:=
- dev-libs/libassuan
- dev-libs/libgpg-error
- >=dev-libs/liborcus-0.13.3
- dev-libs/librevenge
- dev-libs/libxml2
- dev-libs/libxslt
- dev-libs/nspr
- dev-libs/nss
- >=dev-libs/redland-1.0.16
- >=dev-libs/xmlsec-1.2.24[nss]
- media-gfx/graphite2
- media-libs/fontconfig
- media-libs/freetype:2
- >=media-libs/harfbuzz-0.9.42:=[graphite,icu]
- media-libs/lcms:2
- >=media-libs/libcdr-0.1.0
- >=media-libs/libepoxy-1.3.1[X]
- >=media-libs/libfreehand-0.1.0
- media-libs/libpagemaker
- >=media-libs/libpng-1.4:0=
- >=media-libs/libvisio-0.1.0
- media-libs/libzmf
- net-libs/neon
- net-misc/curl
- net-nds/openldap
- sci-mathematics/lpsolve
- sys-libs/zlib:=
- virtual/glu
- virtual/jpeg:0
- virtual/opengl
- x11-libs/cairo[X]
- x11-libs/libXinerama
- x11-libs/libXrandr
- x11-libs/libXrender
- bluetooth? ( net-wireless/bluez )
- coinmp? ( sci-libs/coinor-mp )
- cups? ( net-print/cups )
- dbus? ( dev-libs/dbus-glib )
- eds? (
- dev-libs/glib:2
- gnome-base/dconf
- gnome-extra/evolution-data-server
- )
- firebird? ( >=dev-db/firebird-3.0.2.32703.0-r1[server] )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- )
- gtk? (
- dev-libs/glib:2
- dev-libs/gobject-introspection
- gnome-base/dconf
- media-libs/mesa[egl]
- x11-libs/gtk+:3
- x11-libs/pango
- )
- gtk2? (
- x11-libs/gdk-pixbuf
- >=x11-libs/gtk+-2.24:2
- x11-libs/pango
- )
- jemalloc? ( dev-libs/jemalloc )
- kde? (
- dev-qt/qtcore:5
- dev-qt/qtgui:5
- dev-qt/qtx11extras:5
- dev-qt/qtwidgets:5
- kde-frameworks/kconfig:5
- kde-frameworks/kcoreaddons:5
- kde-frameworks/ki18n:5
- kde-frameworks/kio:5
- kde-frameworks/kwindowsystem:5
- )
- libreoffice_extensions_scripting-beanshell? ( dev-java/bsh )
- libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
- mysql? ( dev-db/mysql-connector-c++ )
- pdfimport? ( app-text/poppler:=[cxx] )
- postgres? ( >=dev-db/postgresql-9.0:*[kerberos] )
-"
-
-RDEPEND="${COMMON_DEPEND}
- !app-office/libreoffice-bin
- !app-office/libreoffice-bin-debug
- !app-office/openoffice
- media-fonts/dejavu
- media-fonts/liberation-fonts
- media-fonts/libertine
- || ( x11-misc/xdg-utils kde-plasma/kde-cli-tools )
- java? ( >=virtual/jre-1.6 )
- kde? ( kde-frameworks/breeze-icons:* )
- vlc? ( media-video/vlc )
-"
-
-if [[ ${MY_PV} != *9999* ]] && [[ ${PV} != *_* ]]; then
- PDEPEND="=app-office/libreoffice-l10n-$(ver_cut 1-2)*"
-else
- # Translations are not reliable on live ebuilds
- # rather force people to use english only.
- PDEPEND="!app-office/libreoffice-l10n"
-fi
-
-# FIXME: cppunit should be moved to test conditional
-# after everything upstream is under gbuild
-# as dmake execute tests right away
-DEPEND="${COMMON_DEPEND}
- >=dev-libs/libatomic_ops-7.2d
- dev-perl/Archive-Zip
- >=dev-util/cppunit-1.14.0
- >=dev-util/gperf-3
- dev-util/intltool
- >=dev-util/mdds-1.2.3:1=
- media-libs/glm
- sys-devel/bison
- sys-devel/flex
- sys-devel/gettext
- sys-devel/ucpp
- virtual/pkgconfig
- x11-base/xorg-proto
- x11-libs/libXt
- x11-libs/libXtst
- java? (
- dev-java/ant-core
- >=virtual/jdk-1.6
- )
- odk? ( >=app-doc/doxygen-1.8.4 )
- test? (
- app-crypt/gnupg
- dev-util/cppunit
- media-fonts/dejavu
- )
-"
-
-PATCHES=(
- # not upstreamable stuff
- "${FILESDIR}/${PN}-5.4-system-pyuno.patch"
- "${FILESDIR}/${PN}-5.3.4.2-kioclient5.patch"
- "${FILESDIR}/${PN}-6.0.3.2-disable-flaky-tests-1.patch" #bug 656676
-
- # TODO: upstream
- "${FILESDIR}/${PN}-5.2.5.1-glibc-2.24.patch"
- "${FILESDIR}/${PN}-6.0.3.2-testTdf108947.patch" #bug 656600
-
- # gtk3-kde5 vcl plugin backported from master
- "${WORKDIR}"/${PATCHSET/.tar.xz/}
-)
-
-S="${WORKDIR}/${PN}-${MY_PV}"
-
-_check_reqs() {
- CHECKREQS_MEMORY="512M"
- if is-flagq "-g*" && ! is-flagq "-g*0" ; then
- CHECKREQS_DISK_BUILD="22G"
- else
- CHECKREQS_DISK_BUILD="6G"
- fi
- check-reqs_$1
-}
-
-pkg_pretend() {
- use java || \
- ewarn "If you plan to use Base application you should enable java or you will get various crashes."
-
- if has_version "<app-office/libreoffice-5.3.0[firebird]"; then
- ewarn "Firebird has been upgraded to version 3. It is unable to read back Firebird 2.5 data, so"
- ewarn "embedded firebird odb files created in LibreOffice pre-5.3 can't be opened with this version."
- ewarn "See also: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Base"
- fi
-
- [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_pretend
-}
-
-pkg_setup() {
- java-pkg-opt-2_pkg_setup
- python-single-r1_pkg_setup
- xdg_environment_reset
-
- [[ ${MERGE_TYPE} != binary ]] && _check_reqs pkg_setup
-}
-
-src_unpack() {
- default
-
- if [[ ${MY_PV} = *9999* ]]; then
- local base_uri branch mypv
- base_uri="https://anongit.freedesktop.org/git"
- branch="master"
- mypv=${MY_PV/.9999}
- [[ ${mypv} != ${MY_PV} ]] && branch="${PN}-${mypv/./-}"
- git-r3_fetch "${base_uri}/${PN}/core" "refs/heads/${branch}"
- git-r3_checkout "${base_uri}/${PN}/core"
-
- git-r3_fetch "${base_uri}/${PN}/help" "refs/heads/master"
- git-r3_checkout "${base_uri}/${PN}/help" "helpcontent2" # doesn't match on help
- fi
-}
-
-src_prepare() {
- default
-
- # sandbox violations on many systems, we don't need it. Bug #646406
- sed -i \
- -e "/KF5_CONFIG/s/kf5-config/no/" \
- configure.ac || die "Failed to disable kf5-config"
-
- AT_M4DIR="m4" eautoreconf
- # hack in the autogen.sh
- touch autogen.lastrun
-
- # system pyuno mess
- sed -i \
- -e "s:%eprefix%:${EPREFIX}:g" \
- -e "s:%libdir%:$(get_libdir):g" \
- pyuno/source/module/uno.py \
- pyuno/source/officehelper.py || die
- # sed in the tests
- sed -i \
- -e "s#all : build unitcheck#all : build#g" \
- solenv/gbuild/Module.mk || die
- sed -i \
- -e "s#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g" \
- -e "s#Makefile.gbuild all slowcheck#Makefile.gbuild all#g" \
- Makefile.in || die
-
- sed -i \
- -e "s,/usr/share/bash-completion/completions,$(get_bashcompdir)," \
- -e "s,\$INSTALLDIRNAME.sh,${PN}," \
- bin/distro-install-desktop-integration || die
-
- if use branding; then
- # hack...
- mv -v "${WORKDIR}/branding-intro.png" "icon-themes/galaxy/brand/intro.png" || die
- fi
-
- # Don't list pdfimport support in desktop when built with none, bug # 605464
- if ! use pdfimport; then
- sed -i \
- -e ":MimeType: s:application/pdf;::" \
- -e ":Keywords: s:pdf;::" \
- sysui/desktop/menus/draw.desktop || die
- fi
-}
-
-src_configure() {
- # Set up Google API keys, see https://www.chromium.org/developers/how-tos/api-keys
- # Note: these are for Gentoo use ONLY. For your own distribution, please get
- # your own set of keys. Feel free to contact chromium@gentoo.org for more info.
- local google_default_client_id="329227923882.apps.googleusercontent.com"
- local google_default_client_secret="vgKG0NNv7GoDpbtoFNLxCUXu"
-
- # optimization flags
- export GMAKE_OPTIONS="${MAKEOPTS}"
- # System python enablement:
- export PYTHON_CFLAGS=$(python_get_CFLAGS)
- export PYTHON_LIBS=$(python_get_LIBS)
-
- if use kde; then
- export QT_SELECT=5 # bug 639620 needs proper fix though
- export QT5DIR="$(qt5_get_bindir)/../"
- export MOC5="$(qt5_get_bindir)/moc"
- fi
-
- # system headers/libs/...: enforce using system packages
- # --disable-breakpad: requires not-yet-in-tree dev-utils/breakpad
- # --enable-cairo: ensure that cairo is always required
- # --enable-*-link: link to the library rather than just dlopen on runtime
- # --enable-release-build: build the libreoffice as release
- # --disable-fetch-external: prevent dowloading during compile phase
- # --enable-extension-integration: enable any extension integration support
- # --without-{fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
- # --disable-report-builder: too much java packages pulled in without pkgs
- # --without-system-sane: just sane.h header that is used for scan in writer,
- # not linked or anything else, worthless to depend on
- # --disable-pdfium: not yet packaged
- local myeconfargs=(
- --with-system-dicts
- --with-system-epoxy
- --with-system-headers
- --with-system-jars
- --with-system-libs
- --enable-cairo-canvas
- --enable-largefile
- --enable-mergelibs
- --enable-neon
- --enable-python=system
- --enable-randr
- --enable-release-build
- --disable-breakpad
- --disable-ccache
- --disable-dependency-tracking
- --disable-epm
- --disable-fetch-external
- --disable-gstreamer-0-10
- --disable-online-update
- --disable-openssl
- --disable-pdfium
- --disable-report-builder
- --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system")
- --with-build-version="Gentoo official package"
- --enable-extension-integration
- --with-external-dict-dir="${EPREFIX}/usr/share/myspell"
- --with-external-hyph-dir="${EPREFIX}/usr/share/myspell"
- --with-external-thes-dir="${EPREFIX}/usr/share/myspell"
- --with-external-tar="${DISTDIR}"
- --with-lang=""
- --with-parallelism=$(makeopts_jobs)
- --with-system-ucpp
- --with-tls=nss
- --with-vendor="Gentoo Foundation"
- --with-x
- --without-fonts
- --without-myspell-dicts
- --without-help
- --with-helppack-integration
- --with-system-gpgmepp
- --without-system-sane
- $(use_enable bluetooth sdremote-bluetooth)
- $(use_enable coinmp)
- $(use_enable cups)
- $(use_enable dbus)
- $(use_enable debug)
- $(use_enable eds evolution2)
- $(use_enable firebird firebird-sdbc)
- $(use_enable gstreamer gstreamer-1-0)
- $(use_enable gtk gtk3)
- $(use_enable gtk2 gtk)
- $(use_enable kde gtk3-kde5)
- $(use_enable kde qt5)
- $(use_enable mysql ext-mariadb-connector)
- $(use_enable odk)
- $(use_enable pdfimport)
- $(use_enable postgres postgresql-sdbc)
- $(use_enable vlc)
- $(use_with coinmp system-coinmp)
- $(use_with googledrive gdrive-client-id ${google_default_client_id})
- $(use_with googledrive gdrive-client-secret ${google_default_client_secret})
- $(use_with java)
- $(use_with mysql system-mysql-cppconn)
- $(use_with odk doxygen)
- )
-
- if use eds || use gtk; then
- myeconfargs+=( --enable-dconf --enable-gio )
- else
- myeconfargs+=( --disable-dconf --disable-gio )
- fi
-
- # libreoffice extensions handling
- for lo_xt in ${LO_EXTS}; do
- if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
- myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt}) )
- else
- myeconfargs+=( $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt}) )
- fi
- done
-
- if use java; then
- # hsqldb: system one is too new
- myeconfargs+=(
- --without-junit
- --without-system-hsqldb
- --with-ant-home="${ANT_HOME}"
- --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
- --with-jvm-path="${EPREFIX}/usr/lib/"
- )
-
- use libreoffice_extensions_scripting-beanshell && \
- myeconfargs+=( --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar) )
-
- use libreoffice_extensions_scripting-javascript && \
- myeconfargs+=( --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar) )
- fi
-
- is-flagq "-flto*" && myeconfargs+=( --enable-lto )
-
- econf "${myeconfargs[@]}"
-}
-
-src_compile() {
- # more and more LO stuff tries to use OpenGL, including tests during build
- # bug 501508, bug 540624, bug 545974 and probably more
- addpredict /dev/dri
- addpredict /dev/ati
- addpredict /dev/nvidiactl
-
- # hack for offlinehelp, this needs fixing upstream at some point
- # it is broken because we send --without-help
- # https://bugs.freedesktop.org/show_bug.cgi?id=46506
- (
- grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk" || die
- source "${T}/config_host.mk" 2&> /dev/null
-
- local path="${WORKDIR}/helpcontent2/source/auxiliary/"
- mkdir -p "${path}" || die
-
- echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=helpcontent2/source/media/helpimg > \"${path}/helpimg.ilst\""
- perl "${S}/helpcontent2/helpers/create_ilst.pl" \
- -dir=helpcontent2/source/media/helpimg \
- > "${path}/helpimg.ilst"
- [[ -s "${path}/helpimg.ilst" ]] || \
- ewarn "The help images list is empty, something is fishy, report a bug."
- )
-
- local target
- use test && target="build" || target="build-nocheck"
-
- # this is not a proper make script
- make ${target} || die
-}
-
-src_test() {
- make unitcheck || die
- make slowcheck || die
-}
-
-src_install() {
- # This is not Makefile so no buildserver
- make DESTDIR="${D}" distro-pack-install -o build -o check || die
-
- # bug 593514
- if use gtk; then
- dosym libreoffice/program/liblibreofficekitgtk.so \
- /usr/$(get_libdir)/liblibreofficekitgtk.so
- fi
-
- # bash completion aliases
- bashcomp_alias \
- libreoffice \
- unopkg loimpress lobase localc lodraw lomath lowriter lofromtemplate loweb loffice
-
- if use branding; then
- insinto /usr/$(get_libdir)/${PN}/program
- newins "${WORKDIR}/branding-sofficerc" sofficerc
- dodir /etc/env.d
- echo "CONFIG_PROTECT=/usr/$(get_libdir)/${PN}/program/sofficerc" > "${ED}"etc/env.d/99${PN} || die
- fi
-
- # Hack for offlinehelp, this needs fixing upstream at some point.
- # It is broken because we send --without-help
- # https://bugs.freedesktop.org/show_bug.cgi?id=46506
- insinto /usr/$(get_libdir)/libreoffice/help
- doins xmlhelp/util/*.xsl
-
- pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/soffice.bin
- pax-mark -m "${ED}"usr/$(get_libdir)/libreoffice/program/unopkg.bin
-}
-
-pkg_postinst() {
- gnome2_icon_cache_update
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
-}
-
-pkg_postrm() {
- gnome2_icon_cache_update
- xdg_desktop_database_update
- xdg_mimeinfo_database_update
-}